Homeland Security Warns: Don’t Use Internet Explorer

Security Warning: IE Is Vulnerable

For those of you who haven’t checked mainstream news recently, please note that the Department of Homeland Security is warning people to stop using Internet Explorer until a newly-discovered bug is fixed.

The bug allows hackers to take over your computer.

Either switch to another browser – such as Firefox, Chrome, or Opera – or you can use Explorer if you or disable Adobe Flash on your computer.

To disable Flash:

(1) Click on “Tools”

(2) Click “Manage Add-ons”

(3) Find “Adobe”, and then disable “Flash”

Facebooktwittergoogle_plusredditpinterestlinkedinmail
This entry was posted in General, Science / Technology. Bookmark the permalink.